#include <bits/stdc++.h>
using namespace std;

long long isInVector(vector<long long> nm, long long n){
    for(long long i = 0; i < nm.size(); i++){
        if(nm[i] == n)
            return 1;
    }
    return 0;

}

long long proizvodCif(long long n) {
    long long proizvod = 1;
    for(long long i = 1; i < n; i*=10){
        long long cifra =  (n % (i*10) - n % i) / i;
        proizvod *= cifra;
    }
    return proizvod;
}
int main() {
    long long t;
    cin >> t;
    vector<long long> resenja = {};
    for(long long i = 0; i < t; i++){
        long long n;
        cin >> n;
        vector<long long> brojevi = {};
        for(long long j = 1; j <= n; j++){
            long long proizvod = proizvodCif(j);
            if(!isInVector(brojevi, proizvod)){
                brojevi.push_back(proizvod);
            }

        }
        resenja.push_back(brojevi.size());
    }

    for(long long i = 0; i < resenja.size(); i++) {
        cout << resenja[i] << endl;
    }
}